# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::CString Class Reference

8 bit char based string class More...

`#include <ustring.h>`

List of all members.

## Public Member Functions

| CString (const char *c)
| CString (const char *c, int len)
| CString (const CString &)
CString & | append (const CString &)
CString & | operator= (const char *c)
CString & | operator= (const CString &)
CString & | operator+= (const CString &c)
int | size () const
const char * | c_str () const

## Detailed Description

8 bit char based string class

Definition at line 165 of file ustring.h.

The documentation for this class was generated from the following files:

- ustring.h
- ustring.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003